Index: src/ControlStruct/ExceptTranslate.cc
===================================================================
--- src/ControlStruct/ExceptTranslate.cc	(revision 07de76bb7a0e1179ac6fb9bae0cb96e709315c84)
+++ src/ControlStruct/ExceptTranslate.cc	(revision a86b2ca618261186a814f5be37643704b95ee6f0)
@@ -9,7 +9,7 @@
 // Author           : Andrew Beach
 // Created On       : Wed Jun 14 16:49:00 2017
-// Last Modified By : Peter A. Buhr
-// Last Modified On : Fri Dec 13 23:40:15 2019
-// Update Count     : 12
+// Last Modified By : Andrew Beach
+// Last Modified On : Fri Mar 27 11:58:00 2020
+// Update Count     : 13
 //
 
@@ -211,5 +211,5 @@
 			ThrowStmt *throwStmt ) {
 		// __throw_terminate( `throwStmt->get_name()` ); }
-		return create_given_throw( "__cfaabi_ehm__throw_terminate", throwStmt );
+		return create_given_throw( "__cfaehm_throw_terminate", throwStmt );
 	}
 
@@ -232,5 +232,5 @@
 			) ) );
 		result->push_back( new ExprStmt(
-			new UntypedExpr( new NameExpr( "__cfaabi_ehm__rethrow_terminate" ) )
+			new UntypedExpr( new NameExpr( "__cfaehm_rethrow_terminate" ) )
 			) );
 		delete throwStmt;
@@ -241,5 +241,5 @@
 			ThrowStmt *throwStmt ) {
 		// __throw_resume( `throwStmt->get_name` );
-		return create_given_throw( "__cfaabi_ehm__throw_resume", throwStmt );
+		return create_given_throw( "__cfaehm_throw_resume", throwStmt );
 	}
 
@@ -309,5 +309,5 @@
 			local_except->get_attributes().push_back( new Attribute(
 				"cleanup",
-				{ new NameExpr( "__cfaabi_ehm__cleanup_terminate" ) }
+				{ new NameExpr( "__cfaehm_cleanup_terminate" ) }
 				) );
 
@@ -429,8 +429,8 @@
 			FunctionDecl * terminate_catch,
 			FunctionDecl * terminate_match ) {
-		// { __cfaabi_ehm__try_terminate(`try`, `catch`, `match`); }
+		// { __cfaehm_try_terminate(`try`, `catch`, `match`); }
 
 		UntypedExpr * caller = new UntypedExpr( new NameExpr(
-			"__cfaabi_ehm__try_terminate" ) );
+			"__cfaehm_try_terminate" ) );
 		std::list<Expression *>& args = caller->get_args();
 		args.push_back( nameOf( try_wrapper ) );
@@ -486,8 +486,8 @@
 
 		// struct __try_resume_node __resume_node
-		//  	__attribute__((cleanup( __cfaabi_ehm__try_resume_cleanup )));
+		//  	__attribute__((cleanup( __cfaehm_try_resume_cleanup )));
 		// ** unwinding of the stack here could cause problems **
 		// ** however I don't think that can happen currently **
-		// __cfaabi_ehm__try_resume_setup( &__resume_node, resume_handler );
+		// __cfaehm_try_resume_setup( &__resume_node, resume_handler );
 
 		std::list< Attribute * > attributes;
@@ -495,5 +495,5 @@
 			std::list< Expression * > attr_params;
 			attr_params.push_back( new NameExpr(
-				"__cfaabi_ehm__try_resume_cleanup" ) );
+				"__cfaehm_try_resume_cleanup" ) );
 			attributes.push_back( new Attribute( "cleanup", attr_params ) );
 		}
@@ -514,5 +514,5 @@
 
 		UntypedExpr *setup = new UntypedExpr( new NameExpr(
-			"__cfaabi_ehm__try_resume_setup" ) );
+			"__cfaehm_try_resume_setup" ) );
 		setup->get_args().push_back( new AddressExpr( nameOf( obj ) ) );
 		setup->get_args().push_back( nameOf( resume_handler ) );
@@ -539,5 +539,5 @@
 	ObjectDecl * ExceptionMutatorCore::create_finally_hook(
 			FunctionDecl * finally_wrapper ) {
-		// struct __cfaabi_ehm__cleanup_hook __finally_hook
+		// struct __cfaehm_cleanup_hook __finally_hook
 		//   	__attribute__((cleanup( finally_wrapper )));
 
@@ -593,12 +593,12 @@
 			// Skip children?
 			return;
-		} else if ( structDecl->get_name() == "__cfaabi_ehm__base_exception_t" ) {
+		} else if ( structDecl->get_name() == "__cfaehm_base_exception_t" ) {
 			assert( nullptr == except_decl );
 			except_decl = structDecl;
 			init_func_types();
-		} else if ( structDecl->get_name() == "__cfaabi_ehm__try_resume_node" ) {
+		} else if ( structDecl->get_name() == "__cfaehm_try_resume_node" ) {
 			assert( nullptr == node_decl );
 			node_decl = structDecl;
-		} else if ( structDecl->get_name() == "__cfaabi_ehm__cleanup_hook" ) {
+		} else if ( structDecl->get_name() == "__cfaehm_cleanup_hook" ) {
 			assert( nullptr == hook_decl );
 			hook_decl = structDecl;
